class razor {
    include exim
    
    $exim_user = $operatingsystem ? {
        /(?i:Debian|Ubuntu)/ => "Debian-exim",
        default => "exim",
    }

    package { "razor":
        name => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "razor",
            default => "perl-Razor-Agent",
        },
        ensure  => installed,
        require => Package["exim"],
    }

    file {"/var/lib/razor":
        owner   => $exim_user,
        group   => $exim_user,
        mode    => 774,
        ensure  => directory,
        require => [Package["razor"], Package["exim"]],
    }

    exec { "razor-create":
        command => "razor-admin -home=/var/lib/razor -logfile=/var/log/razor-agent.log -create",
        path    => "/usr/bin:/bin",
        unless  => "ls /var/lib/razor/servers.catalogue.lst &>/dev/null",
        require => File["/var/lib/razor"],
    }

    exec { "razor-register":
        command     => "razor-admin -home=/var/lib/razor -logfile=/var/log/razor-agent.log -register",
        path        => "/usr/bin:/bin",
        unless      => "ls /var/lib/razor/identity &>/dev/null",
        require     => Exec["razor-create"],
    }

    exec { "set-razor-home":
        command => "echo \"razorhome = /var/lib/razor\" >> /var/lib/razor/razor-agent.conf && chown $exim_user.$exim_user -R /var/lib/razor",
        path => "/bin",
        require => Exec["razor-register"],
        unless => "grep 'razorhome = /var/lib/razor' /var/lib/razor/razor-agent.conf",
    }
}