# Class: spamassassin::snf
#
#
class spamassassin::snf {
    package { ["snf-server", "snf", "spamassassin-plugin-snf"]:
        ensure => installed,
        require => Package["spamassassin"],
    }

    service {"snf-server":
        ensure => running,
        enable => true,
        require => [Package["snf-server"], File["/etc/snf-server/identity.xml"], File["/etc/sysconfig/snf-server"]],
    }

    file { "/etc/snf-server/identity.xml":
        mode    => "0655",
        owner   => root,
        group   => root,
        content => template("spamassassin/identity.xml.erb"),
        ensure  => present,
        require => Package["snf-server"],
    }

    file { "/etc/sysconfig/snf-server":
        mode    => "0655",
        owner   => root,
        group   => root,
        content => template("spamassassin/snf-server.erb"),
        ensure  => present,
        require => Package["snf-server"],
    }
}